#ifndef	__KEYBOARD__H
#define	__KEYBOARD__H

#include <avr/io.h>
#include <util/delay.h>

enum  {
	KEY_ESC	= 1,
	KEY_CR,
	KEY_LEFT,
	KEY_RIGHT,
	KEY_UP,
	KEY_DOWN
};

void keyboard_init(void);
int getkey(void);	//get new pressed key, waits until key pressed, return key 
int keyhit(void);	//get pressed key or 0,if no key pressed


#endif
